//
// DeletedNode.swift
//
// Generated by swagger-codegen
// https://github.com/swagger-api/swagger-codegen
//

import Foundation



public struct DeletedNode: Codable {

    public enum ModelType: String, Codable { 
        case room = "room"
        case folder = "folder"
    }
    public enum Classification: Int, Codable { 
        case _1 = 1
        case _2 = 2
        case _3 = 3
        case _4 = 4
    }
    /** Parent node ID (room or folder) */
    public var parentId: Int64
    /** Parent node path &#x60;/&#x60; if node is a root node (room) */
    public var parentPath: String
    /** Node type */
    public var type: ModelType
    /** Node name */
    public var name: String
    /** Node ID */
    public var _id: Int64?
    /** Expiration date */
    public var expireAt: Date?
    /** Last access date */
    public var accessedAt: Date?
    /** Encryption state */
    public var isEncrypted: Bool?
    /** User notes Use empty string to remove. */
    public var notes: String?
    /** Node size in byte */
    public var size: Int64?
    /** Classification ID (for files only): * &#x60;1&#x60; - public * &#x60;2&#x60; - for internal use only * &#x60;3&#x60; - confidential * &#x60;4&#x60; - strictly confidential */
    public var classification: Classification?
    /** Creation date */
    public var createdAt: Date?
    /** Created by user info */
    public var createdBy: UserInfo?
    /** Modification date */
    public var updatedAt: Date?
    /** Modified by user info */
    public var updatedBy: UserInfo?
    /** Deletion date */
    public var deletedAt: Date?
    /** Deleted by user info */
    public var deletedBy: UserInfo?


    public enum CodingKeys: String, CodingKey { 
        case parentId
        case parentPath
        case type
        case name
        case _id = "id"
        case expireAt
        case accessedAt
        case isEncrypted
        case notes
        case size
        case classification
        case createdAt
        case createdBy
        case updatedAt
        case updatedBy
        case deletedAt
        case deletedBy
    }


}

